# Presentation

This tool is a simple wrapper that help running Linux binaries on Guix because otherwise you can't easily execute a binary that doesn't come from the system itself.

This is inspired by the [steam-run](https://nixos.wiki/wiki/Steam#steam-run) wrapper available on NixOS, which is not related to Steam because it's used to run any Linux binary.

# Usage

You need to have to following packages installed to make it work: `gcc-objc++:lib glibc glib gcc gtk+ libxcomposite dbus-glib libxt`.

Then to use it, it's as easy as: `linux-run ./some_executable`.

# Integration

I will try to make it as a package into Guix so it will install the required dependencies in the profile when you install it.
